diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/applications/test/udp-client-server-test.cc ns-3.42/src/applications/test/udp-client-server-test.cc
--- ns-3.41/src/applications/test/udp-client-server-test.cc	2024-02-09 14:44:07.857789800 -0800
+++ ns-3.42/src/applications/test/udp-client-server-test.cc	2024-05-29 15:29:46.920073000 -0700
@@ -97,29 +97,28 @@
     Ipv4InterfaceContainer i = ipv4.Assign(d);
 
     uint16_t port = 4000;
-    UdpServerHelper server(port);
-    ApplicationContainer apps = server.Install(n.Get(1));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    UdpServerHelper serverHelper(port);
+    auto serverApp = serverHelper.Install(n.Get(1));
+    serverApp.Start(Seconds(1.0));
+    serverApp.Stop(Seconds(10.0));
 
     uint32_t MaxPacketSize = 1024;
     Time interPacketInterval = Seconds(1.);
     uint32_t maxPacketCount = 10;
-    UdpClientHelper client(i.GetAddress(1), port);
-    client.SetAttribute("MaxPackets", UintegerValue(maxPacketCount));
-    client.SetAttribute("Interval", TimeValue(interPacketInterval));
-    client.SetAttribute("PacketSize", UintegerValue(MaxPacketSize));
-    apps = client.Install(n.Get(0));
-    apps.Start(Seconds(2.0));
-    apps.Stop(Seconds(10.0));
+    UdpClientHelper clientHelper(i.GetAddress(1), port);
+    clientHelper.SetAttribute("MaxPackets", UintegerValue(maxPacketCount));
+    clientHelper.SetAttribute("Interval", TimeValue(interPacketInterval));
+    clientHelper.SetAttribute("PacketSize", UintegerValue(MaxPacketSize));
+    auto clientApp = clientHelper.Install(n.Get(0));
+    clientApp.Start(Seconds(2.0));
+    clientApp.Stop(Seconds(10.0));
 
     Simulator::Run();
     Simulator::Destroy();
 
-    NS_TEST_ASSERT_MSG_EQ(server.GetServer()->GetLost(), 0, "Packets were lost !");
-    NS_TEST_ASSERT_MSG_EQ(server.GetServer()->GetReceived(),
-                          8,
-                          "Did not receive expected number of packets !");
+    auto server = DynamicCast<UdpServer>(serverApp.Get(0));
+    NS_TEST_ASSERT_MSG_EQ(server->GetLost(), 0, "Packets were lost !");
+    NS_TEST_ASSERT_MSG_EQ(server->GetReceived(), 8, "Did not receive expected number of packets !");
 }
 
 /**
@@ -173,23 +172,24 @@
     Ipv4InterfaceContainer i = ipv4.Assign(d);
 
     uint16_t port = 4000;
-    UdpServerHelper server(port);
-    ApplicationContainer apps = server.Install(n.Get(1));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    UdpServerHelper serverHelper(port);
+    auto serverApp = serverHelper.Install(n.Get(1));
+    serverApp.Start(Seconds(1.0));
+    serverApp.Stop(Seconds(10.0));
 
     uint32_t MaxPacketSize = 1400 - 28; // ip/udp header
-    UdpTraceClientHelper client(i.GetAddress(1), port, "");
-    client.SetAttribute("MaxPacketSize", UintegerValue(MaxPacketSize));
-    apps = client.Install(n.Get(0));
-    apps.Start(Seconds(2.0));
-    apps.Stop(Seconds(10.0));
+    UdpTraceClientHelper clientHelper(i.GetAddress(1), port);
+    clientHelper.SetAttribute("MaxPacketSize", UintegerValue(MaxPacketSize));
+    auto clientApp = clientHelper.Install(n.Get(0));
+    clientApp.Start(Seconds(2.0));
+    clientApp.Stop(Seconds(10.0));
 
     Simulator::Run();
     Simulator::Destroy();
 
-    NS_TEST_ASSERT_MSG_EQ(server.GetServer()->GetLost(), 0, "Packets were lost !");
-    NS_TEST_ASSERT_MSG_EQ(server.GetServer()->GetReceived(),
+    auto server = DynamicCast<UdpServer>(serverApp.Get(0));
+    NS_TEST_ASSERT_MSG_EQ(server->GetLost(), 0, "Packets were lost !");
+    NS_TEST_ASSERT_MSG_EQ(server->GetReceived(),
                           247,
                           "Did not receive expected number of packets !");
 }
@@ -359,12 +359,12 @@
 };
 
 UdpClientServerTestSuite::UdpClientServerTestSuite()
-    : TestSuite("udp-client-server", UNIT)
+    : TestSuite("applications-udp-client-server", Type::UNIT)
 {
-    AddTestCase(new UdpTraceClientServerTestCase, TestCase::QUICK);
-    AddTestCase(new UdpClientServerTestCase, TestCase::QUICK);
-    AddTestCase(new PacketLossCounterTestCase, TestCase::QUICK);
-    AddTestCase(new UdpEchoClientSetFillTestCase, TestCase::QUICK);
+    AddTestCase(new UdpTraceClientServerTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new UdpClientServerTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new PacketLossCounterTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new UdpEchoClientSetFillTestCase, TestCase::Duration::QUICK);
 }
 
 static UdpClientServerTestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/bridge/examples/csma-bridge.py ns-3.42/src/bridge/examples/csma-bridge.py
--- ns-3.41/src/bridge/examples/csma-bridge.py	2024-02-09 14:44:07.857789800 -0800
+++ ns-3.42/src/bridge/examples/csma-bridge.py	2024-05-29 15:29:46.920073000 -0700
@@ -48,53 +48,51 @@
     # Allow the user to override any of the defaults and the above Bind() at
     # run-time, via command-line arguments
     #
-    cmd = ns.core.CommandLine()
+    cmd = ns.CommandLine()
     cmd.Parse(argv)
 
     #
     # Explicitly create the nodes required by the topology(shown above).
     #
     # print "Create nodes."
-    terminals = ns.network.NodeContainer()
+    terminals = ns.NodeContainer()
     terminals.Create(4)
 
-    csmaSwitch = ns.network.NodeContainer()
+    csmaSwitch = ns.NodeContainer()
     csmaSwitch.Create(1)
 
     # print "Build Topology"
-    csma = ns.csma.CsmaHelper()
-    csma.SetChannelAttribute("DataRate", ns.network.DataRateValue(ns.network.DataRate(5000000)))
-    csma.SetChannelAttribute("Delay", ns.core.TimeValue(ns.core.MilliSeconds(2)))
+    csma = ns.CsmaHelper()
+    csma.SetChannelAttribute("DataRate", ns.DataRateValue(ns.DataRate(5000000)))
+    csma.SetChannelAttribute("Delay", ns.TimeValue(ns.MilliSeconds(2)))
 
     # Create the csma links, from each terminal to the switch
 
-    terminalDevices = ns.network.NetDeviceContainer()
-    switchDevices = ns.network.NetDeviceContainer()
+    terminalDevices = ns.NetDeviceContainer()
+    switchDevices = ns.NetDeviceContainer()
 
     for i in range(4):
-        link = csma.Install(
-            ns.network.NodeContainer(ns.network.NodeContainer(terminals.Get(i)), csmaSwitch)
-        )
+        link = csma.Install(ns.NodeContainer(ns.NodeContainer(terminals.Get(i)), csmaSwitch))
         terminalDevices.Add(link.Get(0))
         switchDevices.Add(link.Get(1))
 
     # Create the bridge netdevice, which will do the packet switching
     switchNode = csmaSwitch.Get(0)
-    bridgeDevice = ns.bridge.BridgeNetDevice()
+    bridgeDevice = ns.BridgeNetDevice()
     switchNode.AddDevice(bridgeDevice)
 
     for portIter in range(switchDevices.GetN()):
         bridgeDevice.AddBridgePort(switchDevices.Get(portIter))
 
     # Add internet stack to the terminals
-    internet = ns.internet.InternetStackHelper()
+    internet = ns.InternetStackHelper()
     internet.Install(terminals)
 
     # We've got the "hardware" in place.  Now we need to add IP addresses.
     #
     # print "Assign IP Addresses."
-    ipv4 = ns.internet.Ipv4AddressHelper()
-    ipv4.SetBase(ns.network.Ipv4Address("10.1.1.0"), ns.network.Ipv4Mask("255.255.255.0"))
+    ipv4 = ns.Ipv4AddressHelper()
+    ipv4.SetBase(ns.Ipv4Address("10.1.1.0"), ns.Ipv4Mask("255.255.255.0"))
     ipv4.Assign(terminalDevices)
 
     #
@@ -103,39 +101,39 @@
     # print "Create Applications."
     port = 9  # Discard port(RFC 863)
 
-    inet_sock_address = ns.network.InetSocketAddress(ns.network.Ipv4Address("10.1.1.2"), port)
-    onoff = ns.applications.OnOffHelper("ns3::UdpSocketFactory", inet_sock_address.ConvertTo())
-    onoff.SetConstantRate(ns.network.DataRate("500kb/s"))
+    inet_sock_address = ns.InetSocketAddress(ns.Ipv4Address("10.1.1.2"), port)
+    onoff = ns.OnOffHelper("ns3::UdpSocketFactory", inet_sock_address.ConvertTo())
+    onoff.SetConstantRate(ns.DataRate("500kb/s"))
 
-    app = onoff.Install(ns.network.NodeContainer(terminals.Get(0)))
+    app = onoff.Install(ns.NodeContainer(terminals.Get(0)))
     # Start the application
-    app.Start(ns.core.Seconds(1.0))
-    app.Stop(ns.core.Seconds(10.0))
+    app.Start(ns.Seconds(1.0))
+    app.Stop(ns.Seconds(10.0))
 
     # Create an optional packet sink to receive these packets
-    inet_address = ns.network.InetSocketAddress(ns.network.Ipv4Address.GetAny(), port)
-    sink = ns.applications.PacketSinkHelper("ns3::UdpSocketFactory", inet_address.ConvertTo())
-    app = sink.Install(ns.network.NodeContainer(terminals.Get(1)))
-    app.Start(ns.core.Seconds(0.0))
+    inet_address = ns.InetSocketAddress(ns.Ipv4Address.GetAny(), port)
+    sink = ns.PacketSinkHelper("ns3::UdpSocketFactory", inet_address.ConvertTo())
+    app = sink.Install(ns.NodeContainer(terminals.Get(1)))
+    app.Start(ns.Seconds(0.0))
 
     #
     # Create a similar flow from n3 to n0, starting at time 1.1 seconds
     #
-    inet_address = ns.network.InetSocketAddress(ns.network.Ipv4Address("10.1.1.1"), port)
-    onoff.SetAttribute("Remote", ns.network.AddressValue(inet_address.ConvertTo()))
-    app = onoff.Install(ns.network.NodeContainer(terminals.Get(3)))
-    app.Start(ns.core.Seconds(1.1))
-    app.Stop(ns.core.Seconds(10.0))
+    inet_address = ns.InetSocketAddress(ns.Ipv4Address("10.1.1.1"), port)
+    onoff.SetAttribute("Remote", ns.AddressValue(inet_address.ConvertTo()))
+    app = onoff.Install(ns.NodeContainer(terminals.Get(3)))
+    app.Start(ns.Seconds(1.1))
+    app.Stop(ns.Seconds(10.0))
 
-    app = sink.Install(ns.network.NodeContainer(terminals.Get(0)))
-    app.Start(ns.core.Seconds(0.0))
+    app = sink.Install(ns.NodeContainer(terminals.Get(0)))
+    app.Start(ns.Seconds(0.0))
 
     #
     # Configure tracing of all enqueue, dequeue, and NetDevice receive events.
     # Trace output will be sent to the file "csma-bridge.tr"
     #
     # print "Configure Tracing."
-    # ascii = ns.network.AsciiTraceHelper();
+    # ascii = ns.AsciiTraceHelper();
     # csma.EnableAsciiAll(ascii.CreateFileStream ("csma-bridge.tr"));
 
     #
@@ -151,8 +149,8 @@
     # Now, do the actual simulation.
     #
     # print "Run Simulation."
-    ns.core.Simulator.Run()
-    ns.core.Simulator.Destroy()
+    ns.Simulator.Run()
+    ns.Simulator.Destroy()
     # print "Done."
 
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/bridge/model/bridge-net-device.cc ns-3.42/src/bridge/model/bridge-net-device.cc
--- ns-3.41/src/bridge/model/bridge-net-device.cc	2024-02-09 14:44:07.857789800 -0800
+++ ns-3.42/src/bridge/model/bridge-net-device.cc	2024-05-29 15:29:46.920073000 -0700
@@ -355,7 +355,7 @@
 BridgeNetDevice::GetBroadcast() const
 {
     NS_LOG_FUNCTION_NOARGS();
-    return Mac48Address("ff:ff:ff:ff:ff:ff");
+    return Mac48Address::GetBroadcast();
 }
 
 bool
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/brite/test/brite-test-topology.cc ns-3.42/src/brite/test/brite-test-topology.cc
--- ns-3.41/src/brite/test/brite-test-topology.cc	2024-02-09 14:44:07.861789700 -0800
+++ ns-3.42/src/brite/test/brite-test-topology.cc	2024-05-29 15:29:46.924073000 -0700
@@ -215,10 +215,10 @@
 {
   public:
     BriteTestSuite()
-        : TestSuite("brite-testing", UNIT)
+        : TestSuite("brite-testing", Type::UNIT)
     {
-        AddTestCase(new BriteTopologyStructureTestCase, TestCase::QUICK);
-        AddTestCase(new BriteTopologyFunctionTestCase, TestCase::QUICK);
+        AddTestCase(new BriteTopologyStructureTestCase, TestCase::Duration::QUICK);
+        AddTestCase(new BriteTopologyFunctionTestCase, TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/buildings/doc/Makefile ns-3.42/src/buildings/doc/Makefile
--- ns-3.41/src/buildings/doc/Makefile	2024-02-09 14:44:07.861789700 -0800
+++ ns-3.42/src/buildings/doc/Makefile	2024-05-29 15:29:46.924073000 -0700
@@ -40,7 +40,7 @@
 	@if test x$($@_width) != x; then $(RESCALE) $($@_width) $@ ; fi
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
+SPHINXOPTS    = -W --keep-going
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = build
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/buildings/helper/building-container.h ns-3.42/src/buildings/helper/building-container.h
--- ns-3.41/src/buildings/helper/building-container.h	2024-02-09 14:44:07.861789700 -0800
+++ ns-3.42/src/buildings/helper/building-container.h	2024-05-29 15:29:46.924073000 -0700
@@ -30,6 +30,8 @@
 {
 
 /**
+ * \ingroup buildings
+ *
  * \brief keep track of a set of building pointers.
  *
  * Some ns-3 helpers operate on more than one building at a time.  For example
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/buildings/helper/building-position-allocator.h ns-3.42/src/buildings/helper/building-position-allocator.h
--- ns-3.41/src/buildings/helper/building-position-allocator.h	2024-02-09 14:44:07.861789700 -0800
+++ ns-3.42/src/buildings/helper/building-position-allocator.h	2024-05-29 15:29:46.924073000 -0700
@@ -32,6 +32,8 @@
 class UniformRandomVariable;
 
 /**
+ * \ingroup buildings
+ *
  * Allocate each position by randomly choosing a building from the list
  * of all buildings, and then randomly choosing a position inside the building.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/buildings/helper/buildings-helper.h ns-3.42/src/buildings/helper/buildings-helper.h
--- ns-3.41/src/buildings/helper/buildings-helper.h	2024-02-09 14:44:07.861789700 -0800
+++ ns-3.42/src/buildings/helper/buildings-helper.h	2024-05-29 15:29:46.924073000 -0700
@@ -34,6 +34,8 @@
 class Building;
 
 /**
+ * \ingroup buildings
+ *
  * Helper used to install a MobilityBuildingInfo into a set of nodes.
  */
 class BuildingsHelper
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/buildings/model/building.h ns-3.42/src/buildings/model/building.h
--- ns-3.41/src/buildings/model/building.h	2024-02-09 14:44:07.861789700 -0800
+++ ns-3.42/src/buildings/model/building.h	2024-05-29 15:29:46.924073000 -0700
@@ -31,7 +31,13 @@
 {
 
 /**
- * \ingroup mobility
+ * \defgroup buildings Buildings
+ *
+ * The models to define 3d buildings, associated channel models, and mobility.
+ */
+
+/**
+ * \ingroup buildings
  * \brief a 3d building block
  */
 class Building : public Object
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/buildings/model/building-list.h ns-3.42/src/buildings/model/building-list.h
--- ns-3.41/src/buildings/model/building-list.h	2024-02-09 14:44:07.861789700 -0800
+++ ns-3.42/src/buildings/model/building-list.h	2024-05-29 15:29:46.924073000 -0700
@@ -32,6 +32,8 @@
 class Building;
 
 /**
+ * \ingroup buildings
+ *
  * Container for Building class
  */
 class BuildingList
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/buildings/model/buildings-channel-condition-model.h ns-3.42/src/buildings/model/buildings-channel-condition-model.h
--- ns-3.41/src/buildings/model/buildings-channel-condition-model.h	2024-02-09 14:44:07.861789700 -0800
+++ ns-3.42/src/buildings/model/buildings-channel-condition-model.h	2024-05-29 15:29:46.924073000 -0700
@@ -30,6 +30,7 @@
 
 /**
  * \ingroup buildings
+ * \ingroup propagation
  *
  * \brief Determines the channel condition based on the buildings deployed in the
  * scenario
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/buildings/model/buildings-propagation-loss-model.h ns-3.42/src/buildings/model/buildings-propagation-loss-model.h
--- ns-3.41/src/buildings/model/buildings-propagation-loss-model.h	2024-02-09 14:44:07.865790000 -0800
+++ ns-3.42/src/buildings/model/buildings-propagation-loss-model.h	2024-05-29 15:29:46.924073000 -0700
@@ -36,6 +36,7 @@
 class JakesFadingLossModel;
 
 /**
+ * \ingroup buildings
  * \ingroup propagation
  *
  *  This model provides means for simulating the following propagation
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/buildings/model/hybrid-buildings-propagation-loss-model.h ns-3.42/src/buildings/model/hybrid-buildings-propagation-loss-model.h
--- ns-3.41/src/buildings/model/hybrid-buildings-propagation-loss-model.h	2024-02-09 14:44:07.865790000 -0800
+++ ns-3.42/src/buildings/model/hybrid-buildings-propagation-loss-model.h	2024-05-29 15:29:46.924073000 -0700
@@ -36,6 +36,7 @@
 class Kun2600MhzPropagationLossModel;
 
 /**
+ * \ingroup buildings
  * \ingroup propagation
  *
  *  \brief The HybridBuildingsPropagationModel is a compound of different models able to evaluate
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/buildings/model/itu-r-1238-propagation-loss-model.h ns-3.42/src/buildings/model/itu-r-1238-propagation-loss-model.h
--- ns-3.41/src/buildings/model/itu-r-1238-propagation-loss-model.h	2024-02-09 14:44:07.865790000 -0800
+++ ns-3.42/src/buildings/model/itu-r-1238-propagation-loss-model.h	2024-05-29 15:29:46.924073000 -0700
@@ -29,6 +29,9 @@
 {
 
 /**
+ * \ingroup buildings
+ * \ingroup propagation
+ *
  * This class implements the ITU-R 1238 propagation loss model.
  *
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/buildings/model/mobility-building-info.h ns-3.42/src/buildings/model/mobility-building-info.h
--- ns-3.41/src/buildings/model/mobility-building-info.h	2024-02-09 14:44:07.865790000 -0800
+++ ns-3.42/src/buildings/model/mobility-building-info.h	2024-05-29 15:29:46.924073000 -0700
@@ -36,6 +36,8 @@
 
 /**
  * \ingroup buildings
+ * \ingroup mobility
+
  * \brief mobility buildings information (to be used by mobility models)
  *
  * This model implements the management of scenarios where users might be
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/buildings/model/oh-buildings-propagation-loss-model.h ns-3.42/src/buildings/model/oh-buildings-propagation-loss-model.h
--- ns-3.41/src/buildings/model/oh-buildings-propagation-loss-model.h	2024-02-09 14:44:07.865790000 -0800
+++ ns-3.42/src/buildings/model/oh-buildings-propagation-loss-model.h	2024-05-29 15:29:46.924073000 -0700
@@ -29,6 +29,7 @@
 class OkumuraHataPropagationLossModel;
 
 /**
+ * \ingroup buildings
  * \ingroup propagation
  *
  *  this model combines the OkumuraHata model with the BuildingsPropagationLossModel
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/buildings/model/random-walk-2d-outdoor-mobility-model.cc ns-3.42/src/buildings/model/random-walk-2d-outdoor-mobility-model.cc
--- ns-3.41/src/buildings/model/random-walk-2d-outdoor-mobility-model.cc	2024-02-09 14:44:07.865790000 -0800
+++ ns-3.42/src/buildings/model/random-walk-2d-outdoor-mobility-model.cc	2024-05-29 15:29:46.924073000 -0700
@@ -115,8 +115,8 @@
     m_helper.Update();
     double speed = m_speed->GetValue();
     double direction = m_direction->GetValue();
-    Vector vector(std::cos(direction) * speed, std::sin(direction) * speed, 0.0);
-    m_helper.SetVelocity(vector);
+    Vector velocity(std::cos(direction) * speed, std::sin(direction) * speed, 0.0);
+    m_helper.SetVelocity(velocity);
     m_helper.Unpause();
 
     Time delayLeft;
@@ -142,10 +142,10 @@
     NS_LOG_FUNCTION(this << delayLeft.GetSeconds());
 
     Vector position = m_helper.GetCurrentPosition();
-    Vector speed = m_helper.GetVelocity();
+    Vector velocity = m_helper.GetVelocity();
     Vector nextPosition = position;
-    nextPosition.x += speed.x * delayLeft.GetSeconds();
-    nextPosition.y += speed.y * delayLeft.GetSeconds();
+    nextPosition.x += velocity.x * delayLeft.GetSeconds();
+    nextPosition.y += velocity.y * delayLeft.GetSeconds();
     m_event.Cancel();
 
     // check if the nextPosition is inside a building, or if the line
@@ -170,13 +170,13 @@
 
             double delaySecondsX = std::numeric_limits<double>::max();
             double delaySecondsY = std::numeric_limits<double>::max();
-            if (speed.x != 0)
+            if (velocity.x != 0)
             {
-                delaySecondsX = std::abs((nextPosition.x - position.x) / speed.x);
+                delaySecondsX = std::abs((nextPosition.x - position.x) / velocity.x);
             }
-            if (speed.y != 0)
+            if (velocity.y != 0)
             {
-                delaySecondsY = std::abs((nextPosition.y - position.y) / speed.y);
+                delaySecondsY = std::abs((nextPosition.y - position.y) / velocity.y);
             }
             Time delay = Seconds(std::min(delaySecondsX, delaySecondsY));
             m_event = Simulator::Schedule(delay,
@@ -189,7 +189,7 @@
     else
     {
         NS_LOG_LOGIC("Out of bounding box");
-        nextPosition = m_bounds.CalculateIntersection(position, speed);
+        nextPosition = m_bounds.CalculateIntersection(position, velocity);
         // check that this nextPosition is outdoor
         auto outdoorBuilding = IsLineClearOfBuildings(position, nextPosition);
         bool outdoor = std::get<0>(outdoorBuilding);
@@ -198,15 +198,15 @@
         if (outdoor)
         {
             double delaySeconds = std::numeric_limits<double>::max();
-            if (speed.x != 0)
+            if (velocity.x != 0)
             {
                 delaySeconds =
-                    std::min(delaySeconds, std::abs((nextPosition.x - position.x) / speed.x));
+                    std::min(delaySeconds, std::abs((nextPosition.x - position.x) / velocity.x));
             }
-            else if (speed.y != 0)
+            else if (velocity.y != 0)
             {
                 delaySeconds =
-                    std::min(delaySeconds, std::abs((nextPosition.y - position.y) / speed.y));
+                    std::min(delaySeconds, std::abs((nextPosition.y - position.y) / velocity.y));
             }
             else
             {
@@ -228,15 +228,15 @@
 
             double delaySecondsX = std::numeric_limits<double>::max();
             double delaySecondsY = std::numeric_limits<double>::max();
-            if (speed.x != 0)
+            if (velocity.x != 0)
             {
                 delaySecondsX =
-                    std::min(delaySecondsX, std::abs((nextPosition.x - position.x) / speed.x));
+                    std::min(delaySecondsX, std::abs((nextPosition.x - position.x) / velocity.x));
             }
-            if (speed.y != 0)
+            if (velocity.y != 0)
             {
                 delaySecondsY =
-                    std::min(delaySecondsY, std::abs((nextPosition.y - position.y) / speed.y));
+                    std::min(delaySecondsY, std::abs((nextPosition.y - position.y) / velocity.y));
             }
             if (delaySecondsX == std::numeric_limits<double>::max() &&
                 delaySecondsY == std::numeric_limits<double>::max())
@@ -381,30 +381,29 @@
     NS_LOG_FUNCTION(this << delayLeft.GetSeconds());
     m_helper.UpdateWithBounds(m_bounds);
     Vector position = m_helper.GetCurrentPosition();
-    Vector speed = m_helper.GetVelocity();
+    Vector velocity = m_helper.GetVelocity();
     switch (m_bounds.GetClosestSideOrCorner(position))
     {
     case Rectangle::RIGHTSIDE:
     case Rectangle::LEFTSIDE:
         NS_LOG_DEBUG("The closest side is RIGHT or LEFT");
-        speed.x = -speed.x;
+        velocity.x = -velocity.x;
         break;
     case Rectangle::TOPSIDE:
     case Rectangle::BOTTOMSIDE:
         NS_LOG_DEBUG("The closest side is TOP or BOTTOM");
-        speed.y = -speed.y;
+        velocity.y = -velocity.y;
         break;
     case Rectangle::TOPRIGHTCORNER:
     case Rectangle::BOTTOMRIGHTCORNER:
     case Rectangle::TOPLEFTCORNER:
     case Rectangle::BOTTOMLEFTCORNER:
         NS_LOG_DEBUG("The closest side is a corner");
-        auto temp = speed.x;
-        speed.x = -speed.y;
-        speed.y = -temp;
+        velocity.x = -velocity.x;
+        velocity.y = -velocity.y;
         break;
     }
-    m_helper.SetVelocity(speed);
+    m_helper.SetVelocity(velocity);
     m_helper.Unpause();
     DoWalk(delayLeft);
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/buildings/model/random-walk-2d-outdoor-mobility-model.h ns-3.42/src/buildings/model/random-walk-2d-outdoor-mobility-model.h
--- ns-3.41/src/buildings/model/random-walk-2d-outdoor-mobility-model.h	2024-02-09 14:44:07.865790000 -0800
+++ ns-3.42/src/buildings/model/random-walk-2d-outdoor-mobility-model.h	2024-05-29 15:29:46.924073000 -0700
@@ -36,7 +36,9 @@
 {
 
 /**
+ * \ingroup buildings
  * \ingroup mobility
+ *
  * \brief 2D random walk mobility model which avoids buildings.
  *
  * This class reuses most of the code of RandomWalk2dMobilityModel,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/buildings/model/three-gpp-v2v-channel-condition-model.h ns-3.42/src/buildings/model/three-gpp-v2v-channel-condition-model.h
--- ns-3.41/src/buildings/model/three-gpp-v2v-channel-condition-model.h	2024-02-09 14:44:07.865790000 -0800
+++ ns-3.42/src/buildings/model/three-gpp-v2v-channel-condition-model.h	2024-05-29 15:29:46.924073000 -0700
@@ -33,6 +33,7 @@
 
 /**
  * \ingroup buildings
+ * \ingroup propagation
  *
  * \brief Computes the channel condition for the V2V Urban scenario
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/buildings/test/building-position-allocator-test.cc ns-3.42/src/buildings/test/building-position-allocator-test.cc
--- ns-3.41/src/buildings/test/building-position-allocator-test.cc	2024-02-09 14:44:07.865790000 -0800
+++ ns-3.42/src/buildings/test/building-position-allocator-test.cc	2024-05-29 15:29:46.924073000 -0700
@@ -35,13 +35,13 @@
 NS_LOG_COMPONENT_DEFINE("BuildingPositionAllocatorTest");
 
 /**
- * \ingroup propagation
+ * \ingroup buildings
+ * \ingroup tests
  * \defgroup building-test Buildings module tests
  */
 
 /**
  * \ingroup building-test
- * \ingroup tests
  *
  * Room coordinates
  */
@@ -75,7 +75,6 @@
 
 /**
  * \ingroup building-test
- * \ingroup tests
  *
  * RandomRoomPositionAllocator test
  */
@@ -153,7 +152,6 @@
 
 /**
  * \ingroup building-test
- * \ingroup tests
  *
  * SameRoomPositionAllocator test
  */
@@ -227,7 +225,6 @@
 
 /**
  * \ingroup building-test
- * \ingroup tests
  *
  * \brief RandomRoomPositionAllocator TestSuite
  */
@@ -238,12 +235,12 @@
 };
 
 BuildingPositionAllocatorTestSuite::BuildingPositionAllocatorTestSuite()
-    : TestSuite("building-position-allocator", UNIT)
+    : TestSuite("building-position-allocator", Type::UNIT)
 {
     NS_LOG_FUNCTION(this);
 
-    AddTestCase(new RandomRoomPositionAllocatorTestCase, TestCase::QUICK);
-    AddTestCase(new SameRoomPositionAllocatorTestCase, TestCase::QUICK);
+    AddTestCase(new RandomRoomPositionAllocatorTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new SameRoomPositionAllocatorTestCase, TestCase::Duration::QUICK);
 }
 
 /// Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/buildings/test/buildings-channel-condition-model-test.cc ns-3.42/src/buildings/test/buildings-channel-condition-model-test.cc
--- ns-3.41/src/buildings/test/buildings-channel-condition-model-test.cc	2024-02-09 14:44:07.865790000 -0800
+++ ns-3.42/src/buildings/test/buildings-channel-condition-model-test.cc	2024-05-29 15:29:46.924073000 -0700
@@ -31,7 +31,6 @@
 
 /**
  * \ingroup building-test
- * \ingroup tests
  *
  * Test case for the class BuildingsChannelConditionModel. It checks if the
  * channel condition is correctly determined when a building is deployed in the
@@ -148,7 +147,6 @@
 
 /**
  * \ingroup building-test
- * \ingroup tests
  * Test suite for the buildings channel condition model
  */
 class BuildingsChannelConditionModelsTestSuite : public TestSuite
@@ -158,9 +156,9 @@
 };
 
 BuildingsChannelConditionModelsTestSuite::BuildingsChannelConditionModelsTestSuite()
-    : TestSuite("buildings-channel-condition-model", UNIT)
+    : TestSuite("buildings-channel-condition-model", Type::UNIT)
 {
-    AddTestCase(new BuildingsChannelConditionModelTestCase, TestCase::QUICK);
+    AddTestCase(new BuildingsChannelConditionModelTestCase, TestCase::Duration::QUICK);
 }
 
 /// Static variable for test initialization
